FLANG

Public Member Functions | Static Public Member Functions | List of all members
Fortran::evaluate::AnyTraverse< Visitor, Result, Base > Class Template Reference
Inheritance diagram for Fortran::evaluate::AnyTraverse< Visitor, Result, Base >:

## Public Member Functions
| AnyTraverse (Visitor &v)
Result | Default () const
Public Member Functions inherited from Fortran::evaluate::Traverse< Visitor, bool >
| Traverse (Visitor &v)
bool | operator() (const common::Indirection< A, C > &x) const
bool | operator() (SymbolRef x) const
bool | operator() (const std::unique_ptr< A > &x) const
bool | operator() (const std::shared_ptr< A > &x) const
bool | operator() (const A *x) const
bool | operator() (const std::optional< A > &x) const
bool | operator() (const std::variant< A... > &u) const
bool | operator() (const std::vector< A > &x) const
bool | operator() (const BOZLiteralConstant &) const
bool | operator() (const NullPointer &) const
bool | operator() (const Constant< T > &x) const
bool | operator() (const Symbol &) const
bool | operator() (const StaticDataObject &) const
bool | operator() (const ImpliedDoIndex &) const
bool | operator() (const BaseObject &x) const
bool | operator() (const Component &x) const
bool | operator() (const NamedEntity &x) const
bool | operator() (const TypeParamInquiry< KIND > &x) const
bool | operator() (const Triplet &x) const
bool | operator() (const Subscript &x) const
bool | operator() (const ArrayRef &x) const
bool | operator() (const CoarrayRef &x) const
bool | operator() (const DataRef &x) const
bool | operator() (const Substring &x) const
bool | operator() (const ComplexPart &x) const
bool | operator() (const Designator< T > &x) const
bool | operator() (const Variable< T > &x) const
bool | operator() (const DescriptorInquiry &x) const
bool | operator() (const SpecificIntrinsic &) const
bool | operator() (const ProcedureDesignator &x) const
bool | operator() (const ActualArgument &x) const
bool | operator() (const ProcedureRef &x) const
bool | operator() (const FunctionRef< T > &x) const
bool | operator() (const ArrayConstructorValue< T > &x) const
bool | operator() (const ArrayConstructorValues< T > &x) const
bool | operator() (const ImpliedDo< T > &x) const
bool | operator() (const semantics::ParamValue &x) const
bool | operator() (const semantics::DerivedTypeSpec::ParameterMapType::value_type &x) const
bool | operator() (const semantics::DerivedTypeSpec &x) const
bool | operator() (const StructureConstructorValues::value_type &x) const
bool | operator() (const StructureConstructor &x) const
bool | operator() (const Operation< D, R, O > &op) const
bool | operator() (const Operation< D, R, LO, RO > &op) const
bool | operator() (const Relational< SomeType > &x) const
bool | operator() (const Expr< T > &x) const

## Static Public Member Functions
static Result | Combine (Result &&x, Result &&y)

The documentation for this class was generated from the following file:

- include/flang/Evaluate/traverse.h